> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries



## OpenAPI

````yaml /openapi.json get /api/v1/workspace/webhooks/{webhook_id}/deliveries
openapi: 3.1.0
info:
  title: Phala Cloud API
  version: 0.1.0
servers:
  - url: https://cloud-api.phala.com
security: []
tags:
  - name: CVMs
    description: Confidential Virtual Machine (CVM) lifecycle management on Phala Network
  - name: Apps
    description: App template management and CVM deployment from app blueprints
  - name: Webhooks
    description: Manage webhook endpoints and monitor delivery history
  - name: SSH Keys
    description: SSH public key management for CVM access
  - name: KMS
    description: >-
      Key Management Service — key derivation, on-chain anchoring, and
      inspection
  - name: Instance Types
    description: Available hardware configurations for CVM deployment
  - name: Attestations
    description: Remote attestation and TEE verification endpoints
paths:
  /api/v1/workspace/webhooks/{webhook_id}/deliveries:
    get:
      tags:
        - Webhooks
      summary: List webhook deliveries
      operationId: list_deliveries_api_v1_workspace_webhooks__webhook_id__deliveries_get
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            title: Webhook Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookDeliveryResponse'
                title: >-
                  Response List Deliveries Api V1 Workspace Webhooks  Webhook
                  Id  Deliveries Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookDeliveryResponse:
      properties:
        snowflake_id:
          type: integer
          title: Snowflake Id
        event_id:
          type: string
          title: Event Id
        event_type:
          type: string
          title: Event Type
        status:
          type: string
          title: Status
        attempts:
          type: integer
          title: Attempts
        request_url:
          type: string
          title: Request Url
        response_status:
          type: integer
          title: Response Status
        error_message:
          type: string
          title: Error Message
        duration_ms:
          type: integer
          title: Duration Ms
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        delivered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Delivered At
        original_event_id:
          type: string
          title: Original Event Id
          default: ''
      type: object
      required:
        - snowflake_id
        - event_id
        - event_type
        - status
        - attempts
        - request_url
        - response_status
        - error_message
        - created_at
      title: WebhookDeliveryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````